#Param(    
#[Parameter(Mandatory=$true)]    
#[string]$folder  
# )    

$folder = $PSScriptRoot

$libPath = "C:\libwebp\bin\cwebp.exe"
  
$files = get-childitem $folder -recurse -force -include *.jpg, *.png
foreach($inputFile in $files){   


   #Call cwebp
   $inputFilePath = $inputFile.FullName
   $outputFilePath = Split-Path -Path $inputFile.FullName
   $outputFilePath = $outputFilePath + "\" + [System.IO.Path]::GetFileNameWithoutExtension($inputFilePath) + ".webp"

   $args = "-quiet -q 80 " + $inputFilePath + " -o " + $outputFilePath

   Start-Process -FilePath $libPath  -ArgumentList $args -WindowStyle Hidden

 #  $originalFileSize = (Get-Item $inputFilePath).length
 #  $optimizedFileSize = (Get-Item $outputFilePath).length


   #Prepare output
 #  $savedBytes = $originalFileSize - $optimizedFileSize
 #  $savedPercentage = [math]::Round(100-($optimizedFileSize / $originalFileSize)*100)
 #  $message = $inputFilePath + " " + $outputFilePath + " " + $savedBytes + "bytes " + $savedPercentage + "%"
 #  Write-Output $message
    #Remove-Item $inputFilePath

} 
    